Name: libzebra_barcode
Version: 0.5
Release: alt3.svn75

Summary:Zebra is a library for scanning and decoding bar codes from various sources such as video streams, image files or raw intensity sensors. It support EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5

Group: Graphics
License: GPLv2
Url: http://zebra.sourceforge.net/
Packager: Sergey Alembekov <rt@altlinux.ru>
Source: %name.tar
BuildRequires: libImageMagick-devel libgtk+2-devel python-module-pygtk-devel gcc-c++ libqt4-devel

%description
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of
5.

%package utils
Group: Development/C++
Summary:Basic applications for decoding captured bar code images
Requires: %name

%description utils
Basic applications for decoding captured bar code images and using a
video device (eg, webcam) as a bar code scanner.
The flexible, layered architecture features a fast,
streaming interface with a minimal memory footprint.

%package devel
Group: Development/C++
Summary: Bar code library extra development files
Requires: %name = %version

%description devel
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains header files and additional libraries used for
developing applications that read bar codes with this library.

%package devel-static
Group: Development/C++
Summary: Bar code library extra development files and static libraries
Requires: %name = %version

%description devel-static
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains additional static libraries used for
developing applications that read bar codes with this library.

%package gtk
Group: Development/GNOME and GTK+
Summary: Bar code reader GTK widget
Requires: %name = %version, gtk2

%description gtk
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains a bar code scanning widget for use with GUI
applications based on GTK+-2.0.

%package gtk-devel
Group: Development/GNOME and GTK+
Summary: Bar code reader GTK widget extra development files
Requires: %name-gtk = %version, %name-devel = %version, gtk2-devel

%description gtk-devel
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains header files and additional libraries used for
developing GUI applications based on GTK+-2.0 that include a bar code
scanning widget.

%package gtk-devel-static
Group: Development/GNOME and GTK+
Summary: Bar code reader GTK widget extra development files and static libraries
Requires: %name-gtk = %version, %name-devel = %version, gtk2-devel

%description gtk-devel-static
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains header files and additional static libraries used for
developing GUI applications based on GTK+-2.0 that include a bar code
scanning widget.

%package -n python-module-%name
Group: Development/Python
Summary: Bar code reader PyGTK widget
Requires: %name = %version, pygtk2

%description -n python-module-%name
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains a bar code scanning widget for use in GUI
applications based on PyGTK.

%package qt
Group: Development/KDE and QT
Summary: Bar code reader Qt widget
Requires: %name = %version, libqt4 >= 4

%description qt
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains a bar code scanning widget for use with GUI
applications based on Qt4.

%package qt-devel
Group: Development/KDE and QT
Summary: Bar code reader Qt widget extra development files
Requires: %name-qt = %version, %name-devel = %version, libqt4-devel >= 4

%description qt-devel
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains header files and additional libraries used for
developing GUI applications based on Qt4 that include a bar code
scanning widget.

%package qt-devel-static
Group: Development/KDE and QT
Summary: Bar code reader Qt widget extra development files and static libraries
Requires: %name-qt = %version, %name-devel = %version, libqt4-devel >= 4

%description qt-devel-static
Zebra is a library for scanning and decoding bar codes from various
sources such as video streams, image files or raw intensity sensors.
It supports EAN, UPC, Code 128, Code 39 and Interleaved 2 of 5. The
flexible, layered architecture features a fast, streaming interface
with a minimal memory footprint.

This package contains header files and additional static libraries used for
developing GUI applications based on Qt4 that include a bar code
scanning widget.

%package -n zebra_barcode
Group: Development/C++
Summary:Basic applications for decoding captured bar code images
Requires: %name-utils

%description -n zebra_barcode
Basic applications for decoding captured bar code images and using a
video device (eg, webcam) as a bar code scanner.
The flexible, layered architecture features a fast,
streaming interface with a minimal memory footprint.

%prep
%setup -n %name
autoreconf -i
./configure \
	--prefix=%prefix \
	--exec-prefix=%_exec_prefix \
        --bindir=%_bindir \
        --sbindir=%_sbindir \
        --sysconfdir=%_sysconfdir \
        --datadir=%_datadir \
        --includedir=%_includedir \
        --libdir=%_libdir \
        --libexecdir=%_libexecdir \
        --localstatedir=%_localstatedir \
        --sharedstatedir=%_sharedstatedir \
        --mandir=%_mandir \
        --infodir=%_infodir \
	--docdir=%_docdir/%name \
        --disable-dependency-tracking
#	--without-qt
#	--without-xshm \
#	--without-xv \
#	--without-npapi \
#	--without-gtk \
#	--without-python \
#	--without-imagemagick \
#	--disable-libtool-lock \
#	--disable-pthread \
#	--disable-video \
#	--disable-assert

%build
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/libzebra.so.*
%doc %_docdir/%name/NEWS
%doc %_docdir/%name/README
%doc %_docdir/%name/TODO

%files utils
%_bindir/zebraimg
%_bindir/zebracam
%_man1dir/*

%files devel
%doc %_docdir/%name/HACKING
%_libdir/libzebra.so
%_pkgconfigdir/zebra.pc
%_includedir/zebra.h
%_includedir/zebra/Exception.h
%_includedir/zebra/Symbol.h
%_includedir/zebra/Image.h
%_includedir/zebra/Scanner.h
%_includedir/zebra/Decoder.h
%_includedir/zebra/ImageScanner.h
%_includedir/zebra/Video.h
%_includedir/zebra/Window.h
%_includedir/zebra/Processor.h

%files devel-static
%_libdir/libzebra.a

%files gtk
%_libdir/libzebragtk.so.*

%files gtk-devel
%_libdir/libzebragtk.so
%_pkgconfigdir/zebra-gtk.pc
%_includedir/zebra/zebragtk.h

%files gtk-devel-static
%_libdir/libzebragtk.a

%files -n python-module-%name
%python_sitelibdir/*

%files qt
%_libdir/libzebraqt.so.*

%files qt-devel
%_libdir/libzebraqt.so
%_pkgconfigdir/zebra-qt.pc
%_includedir/zebra/QZebra*.h

%files qt-devel-static
%_libdir/libzebraqt.a

%changelog
* Fri Aug 21 2009 Dmitry V. Levin <ldv@altlinux.org> 0.5-alt3.svn75
- Rebuilt with libMagick++.so.2/libMagickCore.so.2.

* Tue Feb 24 2009 Sergey Alembekov <rt@altlinux.ru> 0.5-alt2.svn75
- package rename becouse of name clash with zebra(routing software)

* Tue Feb 03 2009 Sergey Alembekov <rt@altlinux.ru> 0.5svn75-alt1.1
- move static libs to separate packages
- fixed dependencies

* Sun Jan 25 2009 Sergey Alembekov <rt@altlinux.ru> 0.5svn75-alt1
- initial buils for ALTLinux Sisyphus
